services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\MainBundle\Command\ChillImportUsersCommand:
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\ChillUserSendRenewPasswordCodeCommand:
        arguments:
            $logger: '@Psr\Log\LoggerInterface'
            $em: '@Doctrine\ORM\EntityManagerInterface'
            $recoverPasswordHelper: '@Chill\MainBundle\Security\PasswordRecover\RecoverPasswordHelper'
            $eventDispatcher: '@Symfony\Contracts\EventDispatcher\EventDispatcherInterface'
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadAndUpdateLanguagesCommand:
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadCountriesCommand:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
            $availableLanguages: '%chill_main.available_languages%'
        tags:
            - { name: console.command }


    Chill\MainBundle\Command\LoadPostalCodesCommand:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
            $validator: '@Symfony\Component\Validator\Validator\ValidatorInterface'
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\SetPasswordCommand:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadAddressesFRFromBANOCommand:
        autoconfigure: true
        autowire: true
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadAddressesFRFromBANCommand:
        autoconfigure: true
        autowire: true
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadAddressesBEFromBestAddressCommand:
        autoconfigure: true
        autowire: true
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadPostalCodeFR:
        autoconfigure: true
        autowire: true
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\LoadAddressesLUFromBDAddressCommand:
        autoconfigure: true
        autowire: true
        tags:
            - { name: console.command }

    Chill\MainBundle\Command\ExecuteCronJobCommand:
        autoconfigure: true
        autowire: true
        tags:
            - {name: console.command }

    Chill\MainBundle\Command\SynchronizeEntityInfoViewsCommand:
        tags:
            - {name: console.command}
